<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.casemgmt.web.financialitems.FinancialItemsActionModel"%>
<%@page import="org.apache.commons.collections.CollectionUtils"%>
<%@page import="com.sas.solutions.casemgmt.domain.EntityType"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@include file="/shell/default.jspf"%>
<%@ taglib prefix="cpb" uri="http://www.sas.com/cpb/tag" %>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>

<%@page import="com.sas.solutions.casemgmt.web.cases.*" %>
<%@page import="com.sas.solutions.casemgmt.web.incident.IncidentActionModel" %>
<%@page import="com.sas.solutions.casemgmt.web.party.PartyActionModel" %>
<%@page import="java.util.Iterator"%>

<fmt:message bundle="${appResources}" var="caseCommentsSection" key="section.comments.list.header.txt" />
<fmt:message bundle="${appResources}" var="caseAttachmentsSection" key="section.attachments.list.header.txt" />
<fmt:message bundle="${appResources}" var="caseFinancialItemsSection" key="section.financial_item.list.header.txt" />
<fmt:message bundle="${appResources}" var="caseIncidentsSection" key="section.incident.list.header.txt" />
<fmt:message bundle="${appResources}" var="caseSubjectsSection" key="section.party.list.header.txt" />
<fmt:message bundle="${appResources}" var="noIncidents" key="incidents.none.found.warning.txt" />
<fmt:message bundle="${appResources}" var="noSubjects" key="subjects.none.found.warning.txt" />

<%
CaseActionModel model = CaseActionModel.getFromRequest(request);
%>

<script type="text/javascript">
Case.FORM_NAME = "<%=model.getFormName()%>";
Case.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
Case.KEY = "<%=model.getEntityKey()%>";
Case.ID = "<%=model.getEntity().getId()%>";
Case.EDITABLE = false;
Case.UI_CONTEXT_ID = "<%=model.getForm().getUiContextId()%>";

loadFrameToDiv = function(contentID)
{
   require(['cpb', 'dojo/query', 'dojo/dom-style'],function(cpb, query, domStyle) {
      // cpb.showLog = true; // debug only
      cpb.consoleLog("Copying iframe to div:: " + contentID);
      var iframe = document.getElementById('iframe__' + contentID);
      var div = document.getElementById('div__' + contentID);
      
      if(!iframe.contentWindow) {
         cpb.consoleLog("Cannot find iframe " + contentID);
         div.innerHTML = "Cannot find " + contentID;
         return;
      }
      
      var bodyArea = iframe.contentWindow.document.getElementById('bodyArea');
      if(!bodyArea) {
         cpb.consoleLog("Cannot find the body of the iframe " + contentID);
         div.innerHTML = "Cannot find " + contentID;
         return;
      }
      
      div.innerHTML = bodyArea.innerHTML;
      iframe.parentNode.removeChild(iframe);
   
      var standby = document.getElementById('standby__' + contentID);
      if (standby && standby.hide)
      {
         standby.hide();
      }
      cpb.consoleLog("Copy of iframe to div complete:: " + contentID);
      
      // Force dgrid contents in the copied-up content to still dynamically fill their parent container.
      // By copying up the DOM, we lost the listeners that were set to do this work.
      query('.ui-widget.dgrid.dgrid-grid', div).forEach(function(gridDiv) {
         var contents = query('div.dgrid-content.ui-widget-content', gridDiv);
         if (contents && contents.length>0) { // Should be exactly 1
            // This is a total hack
            //domStyle.set(contents[0], { width: '', marginRight: '17px' });
            domStyle.set(contents[0], { width: 'calc(100% - 17px)' });
         }
      });
   });
};
</script>

<% model.writeScreen(pageContext, out); %>

<% if (CollectionUtils.isNotEmpty(model.getFinancialItemsModels())) { %>
<br />
<table width="100%">
   <tr>
      <td>
         <h2>${caseFinancialItemsSection}: <%=CPBUtil.getPageTitle(request) == null ? "" : CPBUtil.getPageTitle(request)%></h2>
         <div class="leftpadding">
            <% 
               boolean first = true;
               for (Iterator<FinancialItemsActionModel> it = model.getFinancialItemsModels().iterator(); it.hasNext(); ) 
               {
                  FinancialItemsActionModel fiModel = it.next(); 
                  fiModel.bindToRequest(request);
                  Long key = fiModel.getEntity().getKey();
                  if (first)
                  {
                     first = false;
                  }
                  else
                  {
                  %>
                     <br /><hr /><br />
                  <%
                  }
                  String url = CaseReportHelper.getSubReportURL(request, key.longValue(), EntityType.FINANCIAL_ITEM, fiModel.getEntity());
                  %>
                  <div id="div__financialitem_<%=key%>"></div>
                  <iframe id="iframe__financialitem_<%=key%>" width="0" height="0" src="<%=url%>" style="display:hidden" onload="loadFrameToDiv('financialitem_<%=key%>')"></iframe>
               <%
               }
            %>
         </div>
      </td>
   </tr>
</table>
<% } %>
<br />
<table width="100%">
   <tr>
      <td>
         <h2>${caseCommentsSection}: <%=CPBUtil.getPageTitle(request) == null ? "" : CPBUtil.getPageTitle(request)%></h2>
         <div class="leftpadding">
            <% model.writeCommentsForPrint(pageContext); %>
         </div>
      </td>
   </tr>
</table>
<br />
<table width="100%">
   <tr>
      <td>
         <h2>${caseAttachmentsSection}: <%=CPBUtil.getPageTitle(request) == null ? "" : CPBUtil.getPageTitle(request)%></h2>
         <div class="leftpadding">
            <% model.writeAttachmentsForPrint(pageContext); %>
         </div>
      </td>
   </tr>
</table>
<br />
<table width="100%">
   <tr>
      <td>
         <h2>${caseIncidentsSection}: <%=CPBUtil.getPageTitle(request) == null ? "" : CPBUtil.getPageTitle(request)%></h2>
         <div class="leftpadding">
            <% 
               boolean first = true;
               for (Iterator<IncidentActionModel> it = model.getIncidentActionModels().iterator(); it.hasNext(); ) 
               {
                  IncidentActionModel incidentModel = it.next(); 
                  incidentModel.bindToRequest(request);
                  Long key = incidentModel.getEntity().getKey();
                  if (first)
                  {
                     first = false;
                  }
                  else
                  {
                  %>
                     <br /><hr /><br />
                  <%
                  }
                  String url = CaseReportHelper.getSubReportURL(request, key.longValue(), EntityType.INCIDENT, incidentModel.getEntity());
                  %>
                  <div id="div__incident_<%=key%>"></div>
                  <iframe id="iframe__incident_<%=key%>" width="0" height="0" src="<%=url%>" style="display:hidden" onload="this.contentWindow.frameLoaded()"></iframe>
               <%
               }
               if (first)
               {
               %>
                   ${noIncidents}
               <%
               }
            %>
         </div>
      </td>
   </tr>
</table>
<br />
<table width="100%">
   <tr>
      <td>
         <h2>${caseSubjectsSection}: <%=CPBUtil.getPageTitle(request)%></h2>
         <div class="leftpadding">
            <% 
	            first = true;
               for (Iterator<PartyActionModel> it = model.getPartyActionModels().iterator(); it.hasNext(); ) 
	            { 
	               PartyActionModel partyModel = it.next(); 
                  partyModel.bindToRequest(request);
                  Long key = partyModel.getEntity().getKey();
	               if (first)
	               {
	                  first = false;
	               }
	               else
	               {
	               %>
	                  <br /><hr /><br />
	               <%
	               }
	               String url = CaseReportHelper.getSubReportURL(request, key.longValue(), EntityType.PARTY, partyModel.getEntity());
	               %>
                  <div id="div__party_<%=key%>"></div>
                  <iframe id="iframe__party_<%=key%>" width="0" height="0" src="<%=url%>" style="display:hidden" onload="this.contentWindow.frameLoaded()"></iframe>
	            <%
	            }
               if (first)
               {
               %>
                   ${noSubjects}
               <%
               }
            %>
         </div>
      </td>
   </tr>
</table>