<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib prefix="cpb" uri="http://www.sas.com/cpb/tag" %>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>

<%@page import="com.sas.solutions.casemgmt.domain.EntityType"%>
<%@page import="com.sas.solutions.casemgmt.web.cases.CaseReportHelper" %>
<%@page import="com.sas.solutions.casemgmt.web.financialitems.FinancialItemsActionModel"%>
<%@page import="com.sas.solutions.casemgmt.web.incident.*"%>
<%@page import="java.util.Iterator"%>
<%@page import="org.apache.commons.collections.CollectionUtils"%>

<fmt:message bundle="${appResources}" var="incidentFinancialItemsSection" key="section.financial_item.list.header.txt" />
<fmt:message bundle="${appResources}" var="incidentCommentsSection" key="section.comments.list.header.txt" />
<fmt:message bundle="${appResources}" var="incidentAttachmentsSection" key="section.attachments.list.header.txt" />

<%
IncidentActionModel incidentModel = IncidentActionModel.getFromRequest(request);
%>

<script type="text/javascript">
Incident.FORM_NAME = "<%=incidentModel.getFormName()%>";
Incident.OBJECT_TYPE = "<%=incidentModel.getObjectTypeId()%>";
Incident.KEY = "<%=incidentModel.getEntityKey()%>";
Incident.ID = "<%=incidentModel.getEntity().getId()%>";
Incident.EDITABLE = <%=incidentModel.isPageEditable()%>;

loadFrameToDiv = function(contentID)
{
   require(['cpb', 'dojo/query', 'dojo/dom-style'],function(cpb, query, domStyle) {
      // cpb.showLog = true; // debug only
      cpb.consoleLog("Copying iframe to div:: " + contentID);
      var iframe = document.getElementById('iframe__' + contentID);
      var div = document.getElementById('div__' + contentID);
      
      if(!iframe.contentWindow) {
         cpb.consoleLog("Cannot find iframe " + contentID);
         div.innerHTML = "Cannot find " + contentID;
         return;
      }
      
      var bodyArea = iframe.contentWindow.document.getElementById('bodyArea');
      if(!bodyArea) {
         cpb.consoleLog("Cannot find the body of the iframe " + contentID);
         div.innerHTML = "Cannot find " + contentID;
         return;
      }
      
      div.innerHTML = bodyArea.innerHTML;
      iframe.parentNode.removeChild(iframe);
   
      var standby = document.getElementById('standby__' + contentID);
      if (standby && standby.hide)
      {
         standby.hide();
      }
      cpb.consoleLog("Copy of iframe to div complete:: " + contentID);
      
      // Force dgrid contents in the copied-up content to still dynamically fill their parent container.
      // By copying up the DOM, we lost the listeners that were set to do this work.
      query('.ui-widget.dgrid.dgrid-grid', div).forEach(function(gridDiv) {
         var contents = query('div.dgrid-content.ui-widget-content', gridDiv);
         if (contents && contents.length>0) { // Should be exactly 1
            // This is a total hack
            //domStyle.set(contents[0], { width: '', marginRight: '17px' });
            domStyle.set(contents[0], { width: 'calc(100% - 17px)' });
         }
      });
   });
};
</script>

<table width="100%">
   <tr>
      <td>
         <h2><%=incidentModel.getPageTitle()%></h2>
         <div class="leftpadding">
            <% incidentModel.writeScreen(pageContext, out); %>
         </div>
      </td>
   </tr>
</table>
<% if (CollectionUtils.isNotEmpty(incidentModel.getFinancialItemsModels())) { %>
<br />
<table width="100%">
   <tr>
      <td>
         <h3>${incidentFinancialItemsSection}: <%=incidentModel.getPageTitle() %></h3>
         <div class="leftpadding">
            <% 
               boolean first = true;
               for (Iterator<FinancialItemsActionModel> it = incidentModel.getFinancialItemsModels().iterator(); it.hasNext(); ) 
               {
                  FinancialItemsActionModel fiModel = it.next(); 
                  fiModel.bindToRequest(request);
                  Long key = fiModel.getEntity().getKey();
                  if (first)
                  {
                     first = false;
                  }
                  else
                  {
                  %>
                     <br /><hr /><br />
                  <%
                  }
                  String url = CaseReportHelper.getSubReportURL(request, key.longValue(), EntityType.FINANCIAL_ITEM, fiModel.getEntity());
                  %>
                  <div id="div__financialitem_<%=key%>"></div>
                  <iframe id="iframe__financialitem_<%=key%>" width="0px" height="0px" src="<%=url%>" style="display:hidden" onload="loadFrameToDiv('financialitem_<%=key%>')"></iframe>
               <%
               }
            %>
         </div>
      </td>
   </tr>
</table>
<% } %>
<br />
<table width="100%">
   <tr>
      <td>
         <h3>${incidentCommentsSection}: <%=incidentModel.getPageTitle()%></h3>
         <div class="leftpadding">
            <% incidentModel.writeCommentsForPrint(pageContext); %>
         </div>
      </td>
   </tr>
</table>
<br />
<table width="100%">
   <tr>
      <td>
         <h3>${incidentAttachmentsSection}: <%=incidentModel.getPageTitle()%></h3>
         <div class="leftpadding">
            <% incidentModel.writeAttachmentsForPrint(pageContext); %>
         </div>
      </td>
   </tr>
</table>
<script>
   var loaded = {
         page: false,
         stores: false,
         ready: function() {
            return this.page && this.stores;
         }
   };
   
   require(['case/CasePrint'], function(CasePrint) {
      CasePrint.registerPageListener('incident_' + Incident.KEY, function(id) {
         loaded.stores = true;
         if(loaded.ready()) {
            window.top.loadFrameToDiv(printID);
         }
      });
   });
   
   function frameLoaded() {
      loaded.page = true;
      if(loaded.ready()) {
         window.top.loadFrameToDiv(printID);
      }
   }
</script>