<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@page import="com.sas.solutions.casemgmt.util.AppSessionContextHolder"%>
<%@include file="/shell/default.jspf"%>
<%@page errorPage="pageError.jsp" %>
<%@taglib uri='http://www.sas.com/taglib/sas-util' prefix='sas-u' %>
<%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>
<%@ taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag" %>

<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@page import="com.sas.solutions.cpb.services.CPBServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.domain.License" %>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.util.AppSessionContextHolder"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebConstants" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WindowLayout" %>

<sas-ui:DocType/>

<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en-US' style='margin: 0; padding: 0; height: 100%' dir='<%=WebUtil.getDirAttributeValue(request)%>'>
<head>
   <meta http-equiv="X-UA-Compatible" content="IE=edge" />
   <script type="text/javascript">
   var inPortlet = <%=Boolean.parseBoolean(request.getParameter("inPortlet"))%>;
   
   // needed to turn on the context menu on right mouse click.
   var enableContextMenu = true;
   </script>
   
   <title><sas-ui:ApplicationName/></title>
   <% com.sas.servlet.util.JavaScriptIncludeHandler.clear(request); %>
   <sas-cm:timeOut/>
   
   <%@ include file="global.jspf" %>
               
   <cpb:InitializeComponentsCPB />

   <%@include file="/dojo_config.jspf"%>

   <script type="text/javascript" src="scripts/siteOverrides.js"></script>
   <script type="text/javascript" src="scripts/sasFramework.js"></script>
   
   <sas-cm:include js="/shared/app.js" />
   <sas-cm:include js="/shared/AppMenu.js" />
   
   <sas-cm:include js="/dwr/engine.js" />
   <sas-cm:include js="/dwr/util.js" />
   <sas-cm:include js="/dwr/interface/BreadcrumbService.js" />
   <sas-cm:include js="/shared/ecmApi.js" />
   
   <sas-cm:include js="/ext/cpbcore/bgoverlay/BackgroundOverlay.js" />
   <sas-cm:include js="/ext/cpbcore/browser/BrowserUtil.js" />
   <sas-cm:include js="/ext/cpbcore/browser/URL.js" />
   <sas-cm:include js="/ext/cpbcore/browser/QueryString.js" />
   
   <sas-cm:include js="/ext/cpbcore/browser/Event.js" />
   
   <sas-cm:include properties="<%=
      new String[] {
         \"newCase.title.txt\",
         \"newIncident.title.txt\",
         \"newReport.title.txt\",
         \"newParty.title.txt\",
         \"newEFile.title.txt\"
      }
      %>" />
   
   <sas-cm:include flush="true" />
   
   <script type="text/javascript">
   require(['cpb'], function(cpb) {
      // set up the log level
      cpb.showLog = <%=ServiceLocator.isDevelopmentMode()%>;

      // initialize the window name based on the window layout
      App.initWindowName('<%=WindowLayout.getWindowLayout(request)%>');

      // Check that this main page is not inside a modal popup. If so, redirect out.
      if (window.name == '<%=WindowLayout.MODAL_DIALOG.toString()%>')
      {
         window.top.location.href = window.location.href;
      }

      // set up banner info
      <% WebUtil.setUpBannerTitleInfo(out, request, session); %>
   });
   </script>

</head>
<body dir="<%=WebUtil.getDirAttributeValue(request)%>" style="margin: 0; padding: 0; height: 100%" class="<%=ThemeUtil.getDojoTheme(request)%>">

<div id='mainBorderContainer' data-dojo-type='dijit/layout/BorderContainer' data-dojo-props="gutters: false" style='width: 100%; height: 100%'>

<div data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "top"'>

<c:if test="${param.inPortlet != 'true'}">

<header>

   <c:set var="logoffURL" value="Logoff" />
   <c:if test="${requestScope.logoffURL ne null}">
      <c:set var="logoffURL" value="${requestScope.logoffURL}" />
   </c:if>
   <%
   String startAppTitle; 
   if (CPBServiceLocator.getCPBRuntimeService().isOverridingBanner())
   {
      startAppTitle = "";
   }
   else
   {
      startAppTitle = CPBUtil.getApplicationTitle(request);
   }
   %>
   
   <div id='bannerWrapper'></div>
   <script type='text/javascript'>
      <% String userId = AppSessionContextHolder.getAppSessionContext(request.getSession()).getUserDisplayName(); %>
      require(['banner/AppBanner'], function(AppBanner) {
         var banner = new AppBanner({
            appTitle: '<%=StringUtil.escapeJSForHTML(startAppTitle)%>',
            userId: '<%= StringUtil.escapeJSForHTML(userId) %>',
            appName: '<%=StringUtil.escapeJSForHTML(((License)session.getServletContext().getAttribute(WebConstants.APP_LICENSE_KEY)).getAppName())%>',
            aboutURL: "shared/about.jsp",
            helpURL: 'DisplayCPBScreenHelpText.do?command=helpRedirect'
            <%if (ServiceLocator.isDevelopmentMode()) { %>, debugMessage: 'Debug: You are <%=StringUtil.escapeJSForHTML(userId)%>',<%}%>
         }, bannerWrapper);
      <% if (WebUtil.isProductLicensed(request, "aml")) { %>
      banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.aml.txt' bundle='${appResources}' />", '6.1',
            '6.1', '2003-2013', 'AMLMID', 'amlinv.hlp%2Fwhatitis.htm', '<%=request.getLocale()%>');
      banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.scenarioAdmin.txt' bundle='${appResources}' />", '6.1',
            '6.1', '2012-2013', 'SC_AMLMID', 'amlsc.hlp%2Fwhatissa.htm', '<%=request.getLocale()%>');
      <% }
      if (WebUtil.isProductLicensed(request, "cdd")) { %>
         banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.cdd.txt' bundle='${appResources}' />", '6.1',
               '6.1', '2013', 'CDDMID', 'cddug.hlp%2Fbookinfo.htm', '<%=request.getLocale()%>');
      <% } %>
      });
   </script>
   
   <jsp:include page="BannerNavigationMenu.jsp" />

</header>

</c:if>

<div id='mainToolBar' style='display: none'></div>

</div>

<div id='bodyArea' data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "center"'>

<!-- Main Content -->
<a name="mainContentArea"></a>
<tiles:insert page="<%=(String)request.getAttribute(WebKey.CONTENT_FILE)%>"/>

</div>

<c:if test="${param.inPortlet != 'true'}">
   <footer id='footer' data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "bottom", style: "top: 0px; width: 100%"'>
   <tiles:insert attribute="footer" ignore="true"/>
   </footer>
</c:if>

</div>

</body>
</html>