<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@include file="/shell/default.jspf"%>
<%@page errorPage="pageError.jsp" %>
<%@taglib uri='http://www.sas.com/taglib/sas-util' prefix='sas-u' %>
<%@page import="com.sas.solutions.casemgmt.domain.License" %>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@page import="com.sas.solutions.casemgmt.util.SecurityUtil" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WebConstants" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WindowLayout" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>

<sas-ui:DocType/>

<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='en-US' dir='<%=WebUtil.getDirAttributeValue(request)%>'>
<head>
   <meta http-equiv="X-UA-Compatible" content="IE=edge" />
   <title><sas-ui:ApplicationName/></title>
   <% com.sas.servlet.util.JavaScriptIncludeHandler.clear(request); %>
   <%@ include file="global.jspf" %>
   
   <script type="text/javascript">
	   // needed to turn on the context menu on right mouse click.
	   var enableContextMenu = true;
   </script>
   
   <cpb:InitializeComponentsCPB />
   
   <%@include file="/dojo_config.jspf"%>
   
   <script type="text/javascript" src="scripts/siteOverrides.js"></script>
   <script type="text/javascript" src="scripts/sasFramework.js"></script>
   
   <script type="text/javascript" src="scripts/sas_FastClickProtection_CustomFunctions.js"></script>
   <script type="text/javascript" src="scripts/sas_FastClickProtection.js"></script>
   
   <sas-cm:include js="/shared/app.js" />
   <sas-cm:include js="/shared/ecmApi.js" />
   <sas-cm:include js="/ext/cpbcore/browser/Event.js" />
   <sas-cm:include flush="true" />
   
   <script type="text/javascript">
   require(['cpb'], function(cpb) {
      // set up the log level
      cpb.showLog = <%=ServiceLocator.isDevelopmentMode()%>;

      // set the window name to POPUP_WINDOW
      App.setWindowName('<%=WindowLayout.POPUP_WINDOW.toString()%>');

      // set up banner info
      <% WebUtil.setUpBannerTitleInfo(out, request, session); %>
   });
   </script>
   
</head>
<body dir="<%=WebUtil.getDirAttributeValue(request)%>" style="margin: 0; padding: 0;" class="<%=ThemeUtil.getDojoTheme(request)%>"
      onload="if (window.opener && window.opener.sas_framework_updateTimeout) window.opener.sas_framework_updateTimeout();">

<div id='mainBorderContainer' data-dojo-type='dijit/layout/BorderContainer' data-dojo-props="gutters: false" style='width: 100%; height: 100%'>

<div data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "top"'>

<c:if test="${param.inPortlet != 'true'}">
   
<header>

   <div id='bannerWrapper'></div>
   <script type='text/javascript'>
   require(['banner/AppBanner'], function(AppBanner) {
      var banner = new AppBanner({
         appTitle: '<%= StringUtil.escapeJSForHTML(((License)session.getServletContext().getAttribute(WebConstants.APP_LICENSE_KEY)).getAppName()) %>',
         userId: '<%= StringUtil.escapeJSForHTML(SecurityUtil.getCurrentUserId()) %>',
         appName: '<%=StringUtil.escapeJSForHTML(((License)session.getServletContext().getAttribute(WebConstants.APP_LICENSE_KEY)).getAppName())%>',
         aboutURL: "shared/about.jsp",
         helpURL: 'DisplayCPBScreenHelpText.do?command=helpRedirect',
      }, bannerWrapper);
   <% if (WebUtil.isProductLicensed(request, "aml")) { %>
      banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.aml.txt' bundle='${appResources}' />", '6.1',
            '6.1', '2003-2013', 'AMLMID', 'amlinv.hlp%2Fwhatitis.htm', '<%=request.getLocale()%>');
      banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.scenarioAdmin.txt' bundle='${appResources}' />", '6.1',
            '6.1', '2012-2013', 'SC_AMLMID', 'amlsc.hlp%2Fwhatissa.htm', '<%=request.getLocale()%>');
   <% }
   if (WebUtil.isProductLicensed(request, "cdd")) { %>
      banner.addHelpAndAboutForApp("<fmt:message key='menu.helpContents.cdd.txt' bundle='${appResources}' />", '6.1',
            '6.1', '2013', 'CDDMID', 'cddug.hlp%2Fbookinfo.htm', '<%=request.getLocale()%>');
   <% } %>
   });
   </script>

</header>
   
</c:if>

<div id='mainToolBar' style='display: none'></div>

</div>

<div id='bodyArea' data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "center"'>

<!-- Main Content -->
<tiles:insert page="<%=(String)request.getAttribute(WebKey.CONTENT_FILE)%>"/>

</div>

<c:if test="${param.inPortlet != 'true'}">
   <footer id='footer' data-dojo-type='dijit/layout/ContentPane' data-dojo-props='region: "bottom", style: "top: 0px; width: 100%"'>
   <tiles:insert attribute="footer" ignore="true"/>
   </footer>
</c:if>

</div>

</body>
</html>
